Package com.independentsoft.office.word.fonts

# Class Glyph

java.lang.Object
com.independentsoft.office.word.fonts.Glyph

public class Glyph extends Object
The Class Glyph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Glyph()`
  Instantiates a new glyph.
  `Glyph​(String codePage0, String codePage1, String unicodeSubset0, String unicodeSubset1, String unicodeSubset2, String unicodeSubset3)`
  Instantiates a new glyph.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Glyph`
  `clone()`
  `String`
  `getCodePage0()`
  Gets the code page0.
  `String`
  `getCodePage1()`
  Gets the code page1.
  `String`
  `getUnicodeSubset0()`
  Gets the unicode subset0.
  `String`
  `getUnicodeSubset1()`
  Gets the unicode subset1.
  `String`
  `getUnicodeSubset2()`
  Gets the unicode subset2.
  `String`
  `getUnicodeSubset3()`
  Gets the unicode subset3.
  `void`
  `setCodePage0​(String codePage0)`
  Sets the code page0.
  `void`
  `setCodePage1​(String codePage1)`
  Sets the code page1.
  `void`
  `setUnicodeSubset0​(String unicodeSubset0)`
  Sets the unicode subset0.
  `void`
  `setUnicodeSubset1​(String unicodeSubset1)`
  Sets the unicode subset1.
  `void`
  `setUnicodeSubset2​(String unicodeSubset2)`
  Sets the unicode subset2.
  `void`
  `setUnicodeSubset3​(String unicodeSubset3)`
  Sets the unicode subset3.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Glyph

    public Glyph()
    Instantiates a new glyph.

  - ### Glyph

    public Glyph​(String codePage0, String codePage1, String unicodeSubset0, String unicodeSubset1, String unicodeSubset2, String unicodeSubset3)
    Instantiates a new glyph.
    Parameters:
      `codePage0` - the code page0
      `codePage1` - the code page1
      `unicodeSubset0` - the unicode subset0
      `unicodeSubset1` - the unicode subset1
      `unicodeSubset2` - the unicode subset2
      `unicodeSubset3` - the unicode subset3

- ## Method Details

  - ### clone

    public Glyph clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCodePage0

    public String getCodePage0()
    Gets the code page0.
    Returns:
      the code page0

  - ### setCodePage0

    public void setCodePage0​(String codePage0)
    Sets the code page0.
    Parameters:
      `codePage0` - the new code page0

  - ### getCodePage1

    public String getCodePage1()
    Gets the code page1.
    Returns:
      the code page1

  - ### setCodePage1

    public void setCodePage1​(String codePage1)
    Sets the code page1.
    Parameters:
      `codePage1` - the new code page1

  - ### getUnicodeSubset0

    public String getUnicodeSubset0()
    Gets the unicode subset0.
    Returns:
      the unicode subset0

  - ### setUnicodeSubset0

    public void setUnicodeSubset0​(String unicodeSubset0)
    Sets the unicode subset0.
    Parameters:
      `unicodeSubset0` - the new unicode subset0

  - ### getUnicodeSubset1

    public String getUnicodeSubset1()
    Gets the unicode subset1.
    Returns:
      the unicode subset1

  - ### setUnicodeSubset1

    public void setUnicodeSubset1​(String unicodeSubset1)
    Sets the unicode subset1.
    Parameters:
      `unicodeSubset1` - the new unicode subset1

  - ### getUnicodeSubset2

    public String getUnicodeSubset2()
    Gets the unicode subset2.
    Returns:
      the unicode subset2

  - ### setUnicodeSubset2

    public void setUnicodeSubset2​(String unicodeSubset2)
    Sets the unicode subset2.
    Parameters:
      `unicodeSubset2` - the new unicode subset2

  - ### getUnicodeSubset3

    public String getUnicodeSubset3()
    Gets the unicode subset3.
    Returns:
      the unicode subset3

  - ### setUnicodeSubset3

    public void setUnicodeSubset3​(String unicodeSubset3)
    Sets the unicode subset3.
    Parameters:
      `unicodeSubset3` - the new unicode subset3